<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.miniapp.DeviceRelationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.miniapp.DeviceRelation">
        <result column="station_id" property="stationId" />
        <result column="station_name" property="stationName" />
        <result column="short_id" property="shortId" />
        <result column="product_key" property="productKey" />
        <result column="device_name" property="deviceName" />
        <result column="parking_no" property="parkingNo" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        station_id, station_name, short_id, product_key, device_name, parking_no
    </sql>

</mapper>
